ltsp-build-client(8)

NAME
ltsp-build-client - Builds an LTSP client system for use with the LTSP server

SYNOPSIS

ltsp-build-client <options>

DESCRIPTION

ltsp-build-client builds an ltsp client chroot using standard packages for use with the ltsp server. This chroot installation can be modified in a number of ways as outlined in the OPTIONS section. If present, defaults will be read from the configuration file /etc/ltsp/ltsp-build-client.conf, and will be overridden by using the command line options. ltsp-build-client is usually run as the root user. Visit http://www.ltsp.org for more information.

OPTIONS

Not all options are available on all installations. For a complete list of available options, use the --help and --extra-help options.

--arch arch
    Builds a chroot with the specified architecture. Must be a supported architecture of the distribution, and compatible with the host architecture. Defaults vary by distribution.

--base dir
    Sets the default path for the ltsp chroots to be installed into. Defaults to /opt/ltsp/.

--chroot file
    Sets the default name for the ltsp chroot. Defaults to the architecture selected with --arch or the running architecture.

--config file
    Load configuration defaults from specified file. See CONFIG FILE below for more information.

--exclude packages
    Sets packages to exclude from the initial client chroot.

--extra-help
    Displays all available commandline options.

--help
    Displays the ltsp-build-client help message.

--mirror mirror_url
    Select the mirror to download packages from. file:/// and http:// URLs are supported.

--purge-chroot
    Purges the existing LTSP chroot if present.

CONFIG FILE

ltsp-build-client will read a configuration file to override built-in defaults. the default location for this configuration file is /etc/ltsp/ltsp-build-client.conf, and can be specified with the --conf commandline option.

values are NAME="VALUE" pairs, with # representing commented lines. most commandline options have an equivalent. an example Debian based system with an alternate base location, architecture, and distribution:

 # set alternate default location for ltsp chroot (--base)
 BASE="/srv/ltsp"
 # build an amd64 chroot by default (--arch)
 ARCH="amd64"
 # build a Debian sid environment (--dist)
 DIST="sid"

SEE ALSO

ltsp-update-sshkeys(8), ltsp-update-kernels(8).

AVAILABILITY

ltsp-build-client is part of ltsp package and the latest versions are available in source form from https://launchpad.net/products/ltsp.

MAN PAGE AUTHOR

Peter Savage - silentk - cbx33 debug@silentkeystroke.co.uk

updated 2006, 2009 by Vagrant Cascadian <vagrant@freegeek.org>, 2011 by Wim Muskee <wimmuskee@gmail.com>